CertifiableTestCacheListener (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.cache30

## Class CertifiableTestCacheListener

- java.lang.Object
- - org.apache.geode.cache30.TestCacheCallback
  - - org.apache.geode.cache30.TestCacheListener
    - - org.apache.geode.cache30.CertifiableTestCacheListener

- All Implemented Interfaces:
    CacheCallback, CacheListener, Declarable, org.apache.geode.internal.cache.xmlcache.Declarable2

      public class CertifiableTestCacheListener
      extends TestCacheListener
      implements org.apache.geode.internal.cache.xmlcache.Declarable2

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Set` | `creates`
    `java.util.Set` | `destroys`
    `java.util.Set` | `invalidates`
    `static long` | `MAX_TIME`
    `java.util.Set` | `updates`

    - ### Fields inherited from class org.apache.geode.cache30.TestCacheCallback

      `callbackError`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertifiableTestCacheListener(LogWriter l)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterCreate2(EntryEvent event)`
    `void` | `afterDestroy2(EntryEvent event)`
    `void` | `afterInvalidate2(EntryEvent event)`
    `void` | `afterUpdate2(EntryEvent event)`
    `void` | `clearState()` Clears the state of the listener, for consistent behavior this should only be called when there is no activity on the Region
    `java.util.Properties` | `getConfig()`
    `java.util.List` | `getEventHistory()` Returns a copy of the list of events collected in this listener's history.
    `void` | `init(java.util.Properties props)` Initializes a user-defined object using the given properties.
    `boolean` | `waitForCreated(java.lang.Object key)`
    `boolean` | `waitForDestroyed(java.lang.Object key)`
    `boolean` | `waitForInvalidated(java.lang.Object key)`
    `boolean` | `waitForUpdated(java.lang.Object key)`

    - ### Methods inherited from class org.apache.geode.cache30.TestCacheListener

      `afterCreate, afterDestroy, afterDestroyBeforeAddEvent, afterInvalidate, afterRegionClear, afterRegionCreate, afterRegionDestroy, afterRegionDestroy2, afterRegionDestroyBeforeAddEvent, afterRegionInvalidate, afterRegionInvalidate2, afterRegionLive, afterUpdate, disableEventHistory, enableEventHistory`

    - ### Methods inherited from class org.apache.geode.cache30.TestCacheCallback

      `close, close2, isClosed, waitForInvocation, waitForInvocation, wasInvoked`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.cache.Declarable

      `initialize`

    - ### Methods inherited from interface org.apache.geode.cache.CacheCallback

      `close`

- - ### Field Detail

    - #### destroys

          public final java.util.Set destroys

    - #### creates

          public final java.util.Set creates

    - #### invalidates

          public final java.util.Set invalidates

    - #### updates

          public final java.util.Set updates

    - #### MAX_TIME

          public static final long MAX_TIME

  - ### Constructor Detail

    - #### CertifiableTestCacheListener

          public CertifiableTestCacheListener(LogWriter l)

  - ### Method Detail

    - #### clearState

          public void clearState()

      Clears the state of the listener, for consistent behavior this should only be called when there is no activity on the Region

    - #### getEventHistory

          public java.util.List getEventHistory()

      Description copied from class: `TestCacheListener`
      Returns a copy of the list of events collected in this listener's history. Also clears the current history.
      Overrides:
        `getEventHistory` in class `TestCacheListener`

    - #### afterCreate2

          public void afterCreate2(EntryEvent event)

      Overrides:
        `afterCreate2` in class `TestCacheListener`

    - #### afterDestroy2

          public void afterDestroy2(EntryEvent event)

      Overrides:
        `afterDestroy2` in class `TestCacheListener`

    - #### afterInvalidate2

          public void afterInvalidate2(EntryEvent event)

      Overrides:
        `afterInvalidate2` in class `TestCacheListener`

    - #### afterUpdate2

          public void afterUpdate2(EntryEvent event)

      Overrides:
        `afterUpdate2` in class `TestCacheListener`

    - #### waitForCreated

          public boolean waitForCreated(java.lang.Object key)

    - #### waitForDestroyed

          public boolean waitForDestroyed(java.lang.Object key)

    - #### waitForInvalidated

          public boolean waitForInvalidated(java.lang.Object key)

    - #### waitForUpdated

          public boolean waitForUpdated(java.lang.Object key)

    - #### getConfig

          public java.util.Properties getConfig()

      Specified by:
        `getConfig` in interface `org.apache.geode.internal.cache.xmlcache.Declarable2`

    - #### init

          public void init(java.util.Properties props)

      Description copied from interface: `Declarable`
      Initializes a user-defined object using the given properties. Note that any uncaught exception thrown by this method will cause the `Cache` initialization to fail.
      Specified by:
        `init` in interface `Declarable`
      Parameters:
        `props` - Contains the parameters declared in the declarative xml file.